Issue 97166 - Flawed Graphics Preview
Summary: Flawed Graphics Preview
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: OOO310m1
Hardware: PC Windows XP
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2008-12-12 00:29 UTC by epper
Modified: 2017-05-20 11:11 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
one slide that for me has animation viewing problems (11.25 KB, text/plain)
2008-12-12 19:18 UTC, epper
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description epper 2008-12-12 00:29:29 UTC
I was making a slide show for a school assignment. I selected a list of bulleted
items and added the 'bounce' custom animation. From here I clicked play to just
see what it looked like. The screen went like it would show a preview then
blinked and went back to the normal mode. I wanted each letter of a bulleted
item to bounce individually so selected each bullet point and changed to
character bounce with a 10% delay between characters. Again I clicked view and
the screen where the slide is went black again yet did nothing but return to its
former state. Then I pushed F5 to view the slide show. This time it played very
slowly/ jerkily and each letter started out as a black box then turned into the
correct letter. The graphics issue (ie the jerkiness) may be my computer but the
black boxes and the preview button don't seem to work properly.
Comment 1 wolframgarten 2008-12-12 08:45:42 UTC
Can you attach the file for reproduction? Thanks.
Comment 2 epper 2008-12-12 19:13:43 UTC
I did it with two separate files so I don't think it was the one but the
program. When ever i click play on the custom animation to preview the animation
the slide goes black like its about to show me the preview then doesn't, just
goes back to normal.
Comment 3 epper 2008-12-12 19:18:19 UTC
Created attachment 58786 [details]
one slide that for me has animation viewing problems
Comment 4 wolframgarten 2008-12-15 09:24:08 UTC
Sorry, could not reproduce with your file. Could you try to uncheck
/tools/options/view/use hardware acceleration ? Thanks.
Comment 5 rj_sanders 2009-01-25 00:25:55 UTC
I have reproduced this issue on version OOO300m15, running on Windows XP Home
SP3, with a 1.83GHz Intel T2400 processor, 1GB RAM, and an NVidia GeForce Go
7600 graphics card. There are no other resource-intensive tasks running. This
bug happens when I play epper's attached slideshow and when I create my own
presentation and add the Bounce animation (character by character, 10% delay).
Unchecking Tools -> Options -> View -> Use hardware acceleration as suggested
had no visible effect.

In the preview:
The bounce animation does not render. The slide panel goes black, and then the
slide appears with the non-animated text. After about 1 second, the slide
returns to normal mode, with the animated text visible on the slide. The
animation is never shown in the preview.

Other motion-intensive animations (e.g. Boomerang, Float, Rise Up) render slowly
and choppily in the preview, but Bounce is the only animation I have tried that
does not render at all. Others are just extremely choppy. By contrast, the
Bounce animation and others in Microsoft Powerpoint 2003 render smoothly in the
preview on my machine.

In the slide show:
Occasionally the Bounce animation will render the characters as blocks. This
happened a few times in a row for me, but afterwards I could not reproduce it.
Either way, the Bounce animation is extremely slow, as are all the others I
tried, including simple animations like Box.

I compared the Bounce animation in the slide show with the same configuration
(Animation by letter with a 10% delay, speed set to Medium) and text in
Microsoft PowerPoint 2003. In Impress, the animation takes 30 seconds to play on
average over three trials. In Powerpoint 2003, it takes about 5 seconds on
average, with no rendering issues.
Comment 6 himhymn 2009-02-10 04:47:47 UTC
(Apichart Sasiphongpairoege Feb 09 2009)
I can reproduce the bug. The result is like the the original reporter said. The
letter bounce in so slow and the letter become black box in some movement.

My configuration is:
Toshiba Laptop L305
Intel Core2duo T5750 2.0 GHz
RAM: 3GB DDR2
Hard drive: 250GB
Graphic: intel 965 Chipset Express Family driver vesion 7.14.10.1329
Window Vista Home basic premium
Open Office 3.0.0 (OOO300m9 build 9358)

These are the simpler steps for reproducing the bug (I change some step in order
to show that not only text in the Layout but also in the text box has the
problem with this "bounce" Custom Animation ( choose "Letter by letter" in the
property) :
1 Create the blank page for the Open Office Impression
2 Create the text box by choosing the "text" icon on the Drawing Toolbar
3 Type some word such as "hello"
4 Add animatin by clicking "Add..." under the "Modify effect" in the Custom
Animation Tab(which is in the "Task" Pane)
5 The Custom Animation window will pop up.
6 In the "Entrance" tab, go to the category "Exciting". And then choose
"Bounce". Then click "OK" button.
7 Goto the "Property" in the "Effect Bounce"(which is in the "Custom Animation"
Tab). Then click "..." button.
8 "Effect Options" window will pop up.
9 Under the Tab "Effect" goto "Text animation" section. Change the option "All
at once" to "Letter by letter". Then click "OK" button.
10 Go to "View" in the menu bar and choose "Slide Show" to see the result.
Comment 7 himhymn 2009-02-10 04:50:01 UTC
(Apichart Sasiphongpairoege Feb 09 2009)

-I found that this problem could not be reproduced in the linux os. 
System:
OOo-Dev300m40 + Win XP SP2 (32bit)
Laptop HP Pavilion dv6000
Core Duo 2, 2GHz
4GB RAM
NVIDIA GeForce Go 7400. Driver ver. 86.38
Comment 8 himhymn 2009-02-10 05:12:15 UTC
Sorry for the mistake in the last commment. I put "Win XP (32 bit)", but it is
supposed to be "Gentoo linux"

(Apichart Sasiphongpairoege Feb 09 2009)

-I found that this problem could not be reproduced in the linux os. 
System:
OOo-Dev300m40 + Win XP SP2 (32bit) <----------------This is wrong.
Laptop HP Pavilion dv6000
Core Duo 2, 2GHz
4GB RAM
NVIDIA GeForce Go 7400. 
Comment 9 wolframgarten 2009-02-25 14:27:15 UTC
I cannot reproduce the black box problem - but for me the effect is not played
in preview even though the Office switched to preview mode. There is just
nothing visible for a long time.
Reassigned. Tested in OOO300_m2.
Comment 10 groucho266 2009-04-09 14:48:43 UTC
Some of what has been described above has been fixed: the animation (when played
in full screen mode) should be much smoother now.  Also the paint errors are
probably fixed.

What remains is that 
a) the preview does not show anything of the animation
b) the bullet points are animated independently from the text, slightly ahead in
time
Comment 11 groucho266 2009-09-25 10:15:46 UTC
Setting target to OOo 3.3.
Comment 12 groucho266 2010-07-05 13:00:41 UTC
While the bounce effect works well on single shapes nowadays, character
animations still hardly can hardly be called animations.

Previews have the additional problem, that the animation is stopped prematurely.
 The animation is thus cut off.  In the case of character animations the
"animation" has not even started (in the visible area).

Both animation preview as well as character animation are in need of a complete
overhaul.  I can not say when there will be time for that.
Comment 13 Marcus 2017-05-20 11:11:38 UTC
Reset assigne to the default "issues@openoffice.apache.org".